## GtkColorCombo

GtkColorCombo

## Synopsis

    #include <gtkextra.h>

    GtkWidget *         gtk_color_combo_new                 (void);
    GtkWidget *         gtk_color_combo_new_with_values     (gint nrows,
                                                             gint ncols,
                                                             GdkColor *colors);
    void                gtk_color_combo_construct           (GtkColorCombo *color_combo);
    void                gtk_color_combo_construct_with_values
                                                            (GtkColorCombo *color_combo,
                                                             gint nrows,
                                                             gint ncols,
                                                             GdkColor *colors);
    GdkColor            gtk_color_combo_get_color_at        (GtkColorCombo *combo,
                                                             gint row,
                                                             gint col);
    void                gtk_color_combo_find_color          (GtkColorCombo *color_combo,
                                                             GdkColor *color,
                                                             gint *row,
                                                             gint *col);
    GdkColor            gtk_color_combo_get_selection       (GtkColorCombo *combo);

## Description

## Details

### gtk_color_combo_new ()

    GtkWidget *         gtk_color_combo_new                 (void);

Returns : |

### gtk_color_combo_new_with_values ()

    GtkWidget *         gtk_color_combo_new_with_values     (gint nrows,
                                                             gint ncols,
                                                             GdkColor *colors);

`nrows` : |
`ncols` : |
`colors` : |
Returns : |

### gtk_color_combo_construct ()

    void                gtk_color_combo_construct           (GtkColorCombo *color_combo);

`color_combo` : |

### gtk_color_combo_construct_with_values ()

    void                gtk_color_combo_construct_with_values
                                                            (GtkColorCombo *color_combo,
                                                             gint nrows,
                                                             gint ncols,
                                                             GdkColor *colors);

`color_combo` : |
`nrows` : |
`ncols` : |
`colors` : |

### gtk_color_combo_get_color_at ()

    GdkColor            gtk_color_combo_get_color_at        (GtkColorCombo *combo,
                                                             gint row,
                                                             gint col);

`combo` : |
`row` : |
`col` : |
Returns : |

### gtk_color_combo_find_color ()

    void                gtk_color_combo_find_color          (GtkColorCombo *color_combo,
                                                             GdkColor *color,
                                                             gint *row,
                                                             gint *col);

`color_combo` : |
`color` : |
`row` : |
`col` : |

### gtk_color_combo_get_selection ()

    GdkColor            gtk_color_combo_get_selection       (GtkColorCombo *combo);

`combo` : |
Returns : |